Package org.eclipse.wst.xsl.ui.internal.editor

## org.eclipse.wst.xsl.ui.internal.editor
Class XSLEditor

    public class XSLEditor
    extends StructuredTextEditor

XSL specific extensions to the SSE UI that haven't yet been made available to the SSE.

## Constructor Summary

`XSLEditor()`

## Method Summary

`protected void` | `doSetInput(IEditorInput input)`
`public java.lang.Object` | `getAdapter(java.lang.Class required)` (non-Javadoc)
`public org.eclipse.wst.xsl.ui.internal.editor.OverrideIndicatorManager` | `getOverrideIndicatorManager()`
`protected void` | `installOverrideIndicator()`

## Constructor Detail

## XSLEditor

`public XSLEditor()`

## Methods Detail

## doSetInput

`protected void doSetInput(IEditorInput input)`

### Parameters

`input`

### Throws:

`CoreException`

## getAdapter

`public java.lang.Object getAdapter(java.lang.Class required)`

(non-Javadoc)

### Parameters

`required`

### Returns

`java.lang.Object`

## getOverrideIndicatorManager

`public org.eclipse.wst.xsl.ui.internal.editor.OverrideIndicatorManager getOverrideIndicatorManager()`

### Returns

`org.eclipse.wst.xsl.ui.internal.editor.OverrideIndicatorManager`

## installOverrideIndicator

`protected void installOverrideIndicator()`